include:
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "auto-devops-stages.yml"
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "auto-devops/python-tox.yml"

python:tox:
  before_script:
    - !reference [.python:tox, before_script]
    - echo -e "\e[0Ksection_start:`date +%s`:install_environment[collapsed=true]\r\e[0KInstall build environment"
    - apk add alpine-sdk
    - echo -e "\e[0Ksection_end:`date +%s`:install_environment\r\e[0K"
    - git config --global user.email "fake@example.com"
    - git config --global user.name "Test user"
  parallel: null
  variables:
    TOX_ADDITIONAL_REQUIREMENTS: poetry
    PYTHON_VERSION: "3.11"

